from functools import wraps
from threading import Thread


def background(f):
    '''
    ' This decorator executes a function in a Thread.
    '''
    @wraps(f)
    def wrapped(*args, **kwargs):
        thread = Thread(target=f, args=args, kwargs=kwargs)
        thread.start()
        return thread
    return wrapped
